Bug 136316

Summary: Web Replay: check event loop input extents during replay too
Product: WebKit Reporter: Brian Burg <burg>
Component: WebCore Misc.Assignee: Brian Burg <burg>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, joepeck, kling, timothy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 136290, 133019    
Attachments:
Description Flags
WIP
none
Patch none

Description Brian Burg 2014-08-27 15:01:00 PDT
Sometimes timer interleavings are different on capture and replay, which can expose bugs when AGGRESSIVE_DETERMINISM_CHECKS=1 in ReplayController.h.
Comment 1 Brian Burg 2014-09-24 15:23:20 PDT
Created attachment 238612 [details]
WIP
Comment 2 Brian Burg 2014-09-24 15:32:57 PDT
Created attachment 238613 [details]
Patch
Comment 3 Brian Burg 2014-09-24 15:34:54 PDT
This patch also addresses https://bugs.webkit.org/show_bug.cgi?id=133019
Comment 4 WebKit Commit Bot 2014-09-25 14:59:18 PDT
Comment on attachment 238613 [details]
Patch

Clearing flags on attachment: 238613

Committed r173978: <http://trac.webkit.org/changeset/173978>
Comment 5 WebKit Commit Bot 2014-09-25 14:59:21 PDT
All reviewed patches have been landed.  Closing bug.